UIEffect (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.richfaces.component.UIEffect class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIEffect

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIEffect

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxSupport

Direct Known Subclasses:
  HtmlEffect

    public abstract class UIEffect

extends javax.faces.component.UIComponentBase
implements org.ajax4jsf.component.AjaxSupport

JSF component class

Field Summary
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`UIEffect()`

Method Summary
`abstract java.lang.String` | `getEvent()`
`java.lang.String` | `getEventString()`
`abstract java.lang.String` | `getFor()`
`abstract java.lang.String` | `getParams()`
`abstract java.lang.String` | `getTargetId()`
`abstract java.lang.String` | `getType()`
`abstract void` | `setEvent(java.lang.String event)`
`abstract void` | `setFor(java.lang.String value)`
`abstract void` | `setParams(java.lang.String value)`
`void` | `setParent(javax.faces.component.UIComponent parent)` After nornal setting `parent` property in case of created component set Ajax properties for parent.
`void` | `setParentProperties(javax.faces.component.UIComponent parent)`
`abstract void` | `setTargetId(java.lang.String value)`
`abstract void` | `setType(java.lang.String value)`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getFamily, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.component.AjaxSupport
`isDisableDefault, setDisableDefault`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### UIEffect

    public UIEffect()

Method Detail

### getEventString

    public java.lang.String getEventString()

  Specified by:
    `getEventString` in interface `org.ajax4jsf.component.AjaxSupport`
  Returns:
    JavaScript eventString. Rebuild on every call, since can be in loop ( as in dataTable ) with different parameters.

### getEvent

    public abstract java.lang.String getEvent()

  Specified by:
    `getEvent` in interface `org.ajax4jsf.component.AjaxSupport`

### setEvent

    public abstract void setEvent(java.lang.String event)

  Specified by:
    `setEvent` in interface `org.ajax4jsf.component.AjaxSupport`

### getFor

    public abstract java.lang.String getFor()

### setFor

    public abstract void setFor(java.lang.String value)

### getType

    public abstract java.lang.String getType()

### setType

    public abstract void setType(java.lang.String value)

### getTargetId

    public abstract java.lang.String getTargetId()

### setTargetId

    public abstract void setTargetId(java.lang.String value)

### getParams

    public abstract java.lang.String getParams()

### setParams

    public abstract void setParams(java.lang.String value)

### setParent

    public void setParent(javax.faces.component.UIComponent parent)

  After nornal setting `parent` property in case of created component set Ajax properties for parent.

  Overrides:
    `setParent` in class `javax.faces.component.UIComponentBase`
  See Also:
    `UIComponentBase.setParent(javax.faces.component.UIComponent)`

### setParentProperties

    public void setParentProperties(javax.faces.component.UIComponent parent)

  Specified by:
    `setParentProperties` in interface `org.ajax4jsf.component.AjaxSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.